%global uuid fedmsg@lmacken-redhat.com

Name:           gnome-shell-extension-fedmsg
Version:        0.1.2
Release:        1%{?dist}
Summary:        A gnome-shell extension for enabling fedmsg desktop notifications

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://github.com/lmacken/gnome-shell-extension-fedmsg
Source0:        https://github.com/downloads/lmacken/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       gnome-shell >= 3.2.0
Requires:       fedmsg-notify


%description
This is a GNOME shell extension that allows you to easily toggle and configure
the fedmsg-notify service.


%prep
%setup -q


%build
# Nothing to build


%install
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/
install -m 0644 extension.js %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/extension.js
install -m 0644 metadata.json %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/metadata.json
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 img/fedmsg-notify.png %{buildroot}%{_datadir}/pixmaps/fedmsg-notify.png


%files
%doc LICENSE README.md
%{_datadir}/gnome-shell/extensions/%{uuid}/
%{_datadir}/pixmaps/fedmsg-notify.png


%changelog
* Fri Jan 18 2013 Luke Macken <lmacken@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Thu Jan 10 2013 Luke Macken <lmacken@redhat.com> - 0.1.1-1
- New release with updated extension metadata to get it working with 3.6.x

* Thu Oct 11 2012 Luke Macken <lmacken@redhat.com> - 0.1.0-3
- Require fedmsg-notify
- Include the license in the package
- Removed some legacy RPM cruft
- Fixed the Source0

* Wed Oct 10 2012 Luke Macken <lmacken@redhat.com> - 0.1.0-2
- Fixed the URL

* Mon Oct  8 2012 Luke Macken <lmacken@redhat.com> - 0.1.0-1
- Initial package
